Bug 1546264 - nrpe fails to bind to device on boot, fails to start
Summary: nrpe fails to bind to device on boot, fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nrpe
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-16 18:49 UTC by jeff.kelly
Modified: 2018-10-05 17:19 UTC (History)
9 users (show)

Fixed In Version: nrpe-3.2.1-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-05 17:19:22 UTC


Attachments (Terms of Use)

Description jeff.kelly 2018-02-16 18:49:38 UTC
Description of problem:
EPEL packaged /usr/lib/systemd/system/nrpe.service does not wait for network to become online, can cause startup to fail when bind to address used in configuration.

Version-Release number of selected component (if applicable):
nrpe-3.2.0-6.el7.x86_64

(Installed on RHEL 7.3)

How reproducible:
100%

Steps to Reproduce:
1. install to clean server
2. configure to bind to an address (primary IP of host was used)
3. restart service to ensure service starts without error (after configuration tweak)
4. reboot

Actual results:
Service errors on startup: unable to bind to device ...

Expected results:
Successful service startup

Additional info:
Possible solution could be to update packaged file nrpe.service:

added (might be overkill):
After=var-run.mount nss-lookup.target network.target local-fs.target time-sync.target 

Replaced line:
Requires=network.target
with:
Requires=network-online.target

Comment 1 Stephen John Smoogen 2018-07-24 20:44:45 UTC
My apologies for the delay on this. Updates should arrive soon in epel-testing

Comment 2 Fedora Update System 2018-07-24 22:50:09 UTC
nrpe-3.2.1-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-957b082df2

Comment 3 Fedora Update System 2018-07-25 19:52:06 UTC
nrpe-3.2.1-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-957b082df2

Comment 4 Fedora Update System 2018-07-26 11:49:39 UTC
nrpe-3.2.1-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-957b082df2

Comment 5 Fedora Update System 2018-10-05 17:19:22 UTC
nrpe-3.2.1-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.